import { faSpinner } from '@fortawesome/free-solid-svg-icons';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';
import Head from 'next/head';
import { useRouter } from 'next/router';
import React, { useRef, useState } from 'react';
import { useForm } from 'react-hook-form';
import useSWR from 'swr';
import InputCustom from '../../../components/InputCustom';
import useFetchShopCategories from '../../../lib/hooks/useFetchShopCategories';
import storage from '../../../utils/storage';

const CreateShopPage = () => {
  const { data: user } = useSWR('user', storage);
  const router = useRouter();
  const { categories } = useFetchShopCategories();
  console.log(categories);
  // if (!user) router.push('/');
  const {
    register,
    handleSubmit,
    formState: { errors },
    watch,
  } = useForm();
  const password = useRef({});
  password.current = watch("password", "");
  const [loading, setLoading] = useState(false);
  const submitRegister = async (req: any) => {
    setLoading(true);
    
    setLoading(false);
  };
  return (
    <div>
      <Head>
        <title>Create shop</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/favicon.ico" />
      </Head>
      <div className="flex flex-col my-20">
        <div className="grid place-items-center mx-2 my-20 sm:my-auto">
          <div
            className="w-11/12 p-12 sm:w-8/12 md:w-6/12 lg:w-5/12 2xl:w-4/12 
              px-6 py-10 sm:px-10 sm:py-6 
              bg-white rounded-lg shadow-md lg:shadow-lg"
          >
            <h2 className="text-center font-semibold text-3xl lg:text-4xl text-gray-800">
              create shop
              </h2>

            <form className="mt-10" onSubmit={handleSubmit(submitRegister)}>
              <div className="form-group mb-4">
                <InputCustom
                  title="Shop name"
                  type="text"
                  placeholder="Enter Shop name"
                  registerField={register('name', {
                    required: 'Shop name required',
                  })}
                  errors={errors.name}
                />
              </div>
              <div className="form-group mb-4">
                <InputCustom
                  title="Shop description"
                  type="text"
                  placeholder="Enter Shop description"
                  registerField={register('description', {
                    required: 'Shop description required',
                  })}
                  errors={errors.description}
                />
              </div>

              <button
                type="submit"
                disabled={loading}
                className="w-full py-3 bg-purple-800 rounded-sm
                      font-medium text-white uppercase
                      focus:outline-none hover:bg-green-700 hover:shadow-none"
              >
                {loading ? (
                  <FontAwesomeIcon icon={faSpinner} className="spinner" size="sm" />
                ) : (
                  'Create'
                )}
              </button>
            </form>
          </div>
        </div>
      </div>
    </div>
  );
}

export default CreateShopPage;